Index: issm/trunk/src/Makefile.am
===================================================================
--- issm/trunk/src/Makefile.am	(revision 13405)
+++ issm/trunk/src/Makefile.am	(revision 13975)
@@ -1,2 +1,5 @@
-EXTRA_DIST =  perl pro py
-SUBDIRS = c modules m
+EXTRA_DIST =  perl pro
+SUBDIRS = c m wrappers 
+if ANDROID
+SUBDIRS += android
+endif
Index: issm/trunk/src/ad/todo
===================================================================
--- issm/trunk/src/ad/todo	(revision 13405)
+++ issm/trunk/src/ad/todo	(revision 13975)
@@ -57,2 +57,9 @@
 - make gdb wrapper.
 - think about ModelProcessor setup. need to keep track, before we partition, on cpu 0, of the independent declarations. 
+
+
+MPI: what's missing that equivalent of MPI.h -> no well defined api.  
+What's exposed is the internals of it.
+
+Wanted to look at changing the way for the matrices and vertices would be implemented.
+
Index: issm/trunk/src/android/ISSM/.classpath
===================================================================
--- issm/trunk/src/android/ISSM/.classpath	(revision 13975)
+++ issm/trunk/src/android/ISSM/.classpath	(revision 13975)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="src" path="gen"/>
+	<classpathentry kind="con" path="com.android.ide.eclipse.adt.ANDROID_FRAMEWORK"/>
+	<classpathentry kind="con" path="com.android.ide.eclipse.adt.LIBRARIES"/>
+	<classpathentry kind="output" path="bin/classes"/>
+</classpath>
Index: issm/trunk/src/android/ISSM/.project
===================================================================
--- issm/trunk/src/android/ISSM/.project	(revision 13975)
+++ issm/trunk/src/android/ISSM/.project	(revision 13975)
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>ISSM</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.ResourceManagerBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.PreCompilerBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.ApkBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>com.android.ide.eclipse.adt.AndroidNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>
Index: issm/trunk/src/android/ISSM/Makefile.am
===================================================================
--- issm/trunk/src/android/ISSM/Makefile.am	(revision 13975)
+++ issm/trunk/src/android/ISSM/Makefile.am	(revision 13975)
@@ -0,0 +1,15 @@
+EXTRA_DIST =  AndroidManifest.xml  assets gen jni obj project.properties src Makefile.am bin ic_launcher-web.png libs proguard-project.txt res
+
+#Generate JNI library using the ndk-build capabilities:
+if SHAREDLIBS 	 	 
+deps = 	 	 
+else 	 	 
+deps = ../../c/libISSMCore.a 	 	 
+endif
+
+install-exec-am: all
+all: libs/armeabi/libIssmJni.so
+
+libs/armeabi/libIssmJni.so:  $(deps)
+	$(ANDROID_NDK_DIR)/ndk-build -C ./jni clean
+	$(ANDROID_NDK_DIR)/ndk-build -C ./jni
Index: issm/trunk/src/android/ISSM/jni/Android.mk
===================================================================
--- issm/trunk/src/android/ISSM/jni/Android.mk	(revision 13975)
+++ issm/trunk/src/android/ISSM/jni/Android.mk	(revision 13975)
@@ -0,0 +1,19 @@
+LOCAL_PATH:= $(call my-dir)
+my_LOCAL_PATH:=$(LOCAL_PATH)
+
+#include $(LOCAL_PATH)/issmlib\Android.mk
+include $(call all-subdir-makefiles)
+
+
+LOCAL_PATH := $(my_LOCAL_PATH)
+
+include $(CLEAR_VARS)
+LOCAL_PATH := $(my_LOCAL_PATH)
+LOCAL_ALLOW_UNDEFINED_SYMBOLS := true
+LOCAL_CFLAGS := -Wno-psabi
+LOCAL_LDLIBS := -llog -ldl
+LOCAL_MODULE := IssmJni
+LOCAL_SRC_FILES := Main.cpp 
+LOCAL_STATIC_LIBRARIES := libISSMCore
+
+include $(BUILD_SHARED_LIBRARY)
Index: issm/trunk/src/android/ISSM/jni/Main.cpp
===================================================================
--- issm/trunk/src/android/ISSM/jni/Main.cpp	(revision 13975)
+++ issm/trunk/src/android/ISSM/jni/Main.cpp	(revision 13975)
@@ -0,0 +1,40 @@
+#include <jni.h>
+#include "../../../c/android/fac.h"
+namespace com_example_issm
+{
+	static jlong factorial(JNIEnv *env, jclass clazz, jlong n)
+	{
+		fac *f = new fac();
+		jlong result = (jlong) (f->factorial(n));
+		delete(f);
+		return (jlong) result;
+	}
+//------------------------------------------------------------------------------------
+	static JNINativeMethod method_table[] = {
+			{"fac" ,"(J)J" , (void *) factorial},
+	};
+}
+
+using namespace com_example_issm;
+
+extern "C" jint JNI_OnLoad(JavaVM* vm, void* reserved)
+{
+    JNIEnv* env;
+    if (vm->GetEnv(reinterpret_cast<void**>(&env), JNI_VERSION_1_6) != JNI_OK) {
+        return -1;
+    }
+    else
+    {
+    	jclass clazz = env->FindClass("com/example/issm/IssmJni");
+    	if(clazz)
+    	{
+    		env->RegisterNatives(clazz, method_table, 1);
+    		env->DeleteLocalRef(clazz);
+    		return JNI_VERSION_1_6;
+    	}
+    	else return -1;
+    }
+
+    // Get jclass with env->FindClass.
+    // Register methods with env->RegisterNatives.
+}
Index: issm/trunk/src/android/ISSM/jni/issmlib/Android.mk
===================================================================
--- issm/trunk/src/android/ISSM/jni/issmlib/Android.mk	(revision 13975)
+++ issm/trunk/src/android/ISSM/jni/issmlib/Android.mk	(revision 13975)
@@ -0,0 +1,6 @@
+LOCAL_PATH:= $(call my-dir)
+include $(CLEAR_VARS)
+LOCAL_MODULE    := libISSMCore
+LOCAL_SRC_FILES := ../../../../c/libISSMCore.a
+LOCAL_EXPORT_C_INCLUDES := ../../../../c/android/
+include $(PREBUILT_STATIC_LIBRARY)
Index: issm/trunk/src/android/ISSM/src/com/example/issm/IssmJni.java
===================================================================
--- issm/trunk/src/android/ISSM/src/com/example/issm/IssmJni.java	(revision 13975)
+++ issm/trunk/src/android/ISSM/src/com/example/issm/IssmJni.java	(revision 13975)
@@ -0,0 +1,13 @@
+package com.example.issm;
+
+public class IssmJni
+{
+	public static native long fac(long n);
+	static {
+        System.loadLibrary("IssmJni");
+    }
+	public static long facIterative(long n)
+	{
+		return fac(n);
+	}
+}
Index: issm/trunk/src/android/ISSM_Visual/.classpath
===================================================================
--- issm/trunk/src/android/ISSM_Visual/.classpath	(revision 13975)
+++ issm/trunk/src/android/ISSM_Visual/.classpath	(revision 13975)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="com.android.ide.eclipse.adt.ANDROID_FRAMEWORK"/>
+	<classpathentry kind="con" path="com.android.ide.eclipse.adt.LIBRARIES"/>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="src" path="gen"/>
+	<classpathentry kind="output" path="bin/classes"/>
+</classpath>
Index: issm/trunk/src/android/ISSM_Visual/.project
===================================================================
--- issm/trunk/src/android/ISSM_Visual/.project	(revision 13975)
+++ issm/trunk/src/android/ISSM_Visual/.project	(revision 13975)
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>ISSM_Visual</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.ResourceManagerBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.PreCompilerBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.ApkBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>com.android.ide.eclipse.adt.AndroidNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>
Index: issm/trunk/src/android/ISSM_Visual/src/com/example/issm_visual/ISSMVisual.java
===================================================================
--- issm/trunk/src/android/ISSM_Visual/src/com/example/issm_visual/ISSMVisual.java	(revision 13975)
+++ issm/trunk/src/android/ISSM_Visual/src/com/example/issm_visual/ISSMVisual.java	(revision 13975)
@@ -0,0 +1,99 @@
+package com.example.issm_visual;
+
+
+import android.app.Activity;
+import android.content.Context;
+import android.opengl.GLES20;
+import android.opengl.GLSurfaceView;
+import android.opengl.GLSurfaceView.Renderer;
+import android.os.Bundle;
+import android.util.AttributeSet;
+import android.view.Menu;
+import android.view.View;
+import android.view.View.OnClickListener;
+import android.widget.Button;
+import android.widget.FrameLayout;
+import android.widget.RelativeLayout;
+import android.widget.SeekBar;
+import android.widget.SeekBar.OnSeekBarChangeListener;
+import android.widget.TextView;
+import android.widget.Toast;
+import java.nio.ByteBuffer;
+import java.nio.ByteOrder;
+import java.nio.FloatBuffer;	 
+import java.nio.ShortBuffer;
+import javax.microedition.khronos.egl.EGLConfig;
+import javax.microedition.khronos.opengles.GL10; 
+
+public class ISSMVisual extends Activity implements OnSeekBarChangeListener
+{
+	private SeekBar bar;
+    private TextView txtStatus, txtValue;
+    private GLSurfaceView mGLView;
+	private FrameLayout frame;
+    @Override
+    public void onCreate(Bundle savedInstanceState) {
+        super.onCreate(savedInstanceState);
+        setContentView(R.layout.activity_issmvisual);
+        
+        bar = (SeekBar)findViewById(R.id.seekBar); // make seekbar object
+        bar.setOnSeekBarChangeListener(this); // set seekbar listener
+        txtValue = (TextView)findViewById(R.id.value);
+        txtStatus = (TextView)findViewById(R.id.status);
+        
+        mGLView = new MyGLSurfaceView(this);
+        frame = (FrameLayout)findViewById(R.id.frame);
+        frame.addView(mGLView);
+    }
+
+
+	@Override
+    public void onProgressChanged(SeekBar seekBar, int val,
+    		boolean fromUser) 
+    {
+    	// change progress text label with current Seekbar value
+    	txtValue.setText("Value: " + val);
+    	txtStatus.setText("Status: changing");
+    }
+	
+    @Override
+    public void onStartTrackingTouch(SeekBar seekBar) 
+    {
+    	txtStatus.setText("Status: Starting to track touch");
+
+    }
+    
+    @Override
+    public void onStopTrackingTouch(SeekBar seekBar) 
+    {
+    	seekBar.setSecondaryProgress(seekBar.getProgress()); // set the shade of the previous value.
+    	txtStatus.setText("Status: Ended tracking touch");
+    }
+    
+    @Override
+    protected void onPause() {
+        super.onPause();
+        // The following call pauses the rendering thread.
+        // If your OpenGL application is memory intensive,
+        // you should consider de-allocating objects that
+        // consume significant memory here.
+        mGLView.onPause();
+    }
+    
+    @Override
+    protected void onResume() {
+        super.onResume();
+        // The following call resumes a paused rendering thread.
+        // If you de-allocated graphic objects for onPause()
+        // this is a good place to re-allocate them.
+        mGLView.onResume();
+    }
+
+    
+    @Override
+    public boolean onCreateOptionsMenu(Menu menu) 
+    {
+        getMenuInflater().inflate(R.menu.activity_issmvisual, menu);
+        return true;
+    }
+}
Index: issm/trunk/src/android/ISSM_Visual/src/com/example/issm_visual/MyGLRenderer.java
===================================================================
--- issm/trunk/src/android/ISSM_Visual/src/com/example/issm_visual/MyGLRenderer.java	(revision 13975)
+++ issm/trunk/src/android/ISSM_Visual/src/com/example/issm_visual/MyGLRenderer.java	(revision 13975)
@@ -0,0 +1,248 @@
+/*
+ * Copyright (C) 2012 The Android Open Source Project
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+
+package com.example.issm_visual;
+import java.nio.ByteBuffer;
+import java.nio.ByteOrder;
+import java.nio.FloatBuffer;
+
+import javax.microedition.khronos.egl.EGLConfig;
+import javax.microedition.khronos.opengles.GL10;
+
+import android.opengl.GLES20;
+import android.opengl.GLSurfaceView;
+
+public class MyGLRenderer implements GLSurfaceView.Renderer {
+
+    private Triangle mTriangle1, mTriangle2, mTriangle3;
+
+    @Override
+    public void onSurfaceCreated(GL10 unused, EGLConfig config) {
+
+        // Set the background frame color
+        GLES20.glClearColor(1.0f, 1.0f, 1.0f, 1.0f);
+
+        mTriangle1 = new Triangle(
+        0.0f,  0.6f, 0.0f,   // top
+       -0.5f, -0.3f, 0.0f,   // bottom left
+        0.5f, -0.3f, 0.0f,
+        0.0f, 0.0f, 1.0f, 1.0f);   // bottom right
+        //mTriangle = new Triangle();
+        
+        mTriangle2 = new Triangle(
+        -0.5f, -0.3f, 0.0f,
+         0.0f, -1.0f, 0.0f,
+         0.5f,  -0.3f, 0.0f,
+         1.0f, 0.0f, 0.0f, 1.0f);
+        
+        mTriangle3 = new Triangle(
+        0.0f,  0.6f, 0.0f,
+        0.5f, -0.3f, 0.0f,
+        1.0f,  0.6f, 0.0f,
+        1.0f, 1.0f, 0.0f, 1.0f);
+    }
+
+    @Override
+    public void onDrawFrame(GL10 unused) {
+
+        // Draw background color
+        GLES20.glClear(GLES20.GL_COLOR_BUFFER_BIT);
+
+        // Draw triangle
+        mTriangle1.draw(); 
+        mTriangle2.draw();
+        mTriangle3.draw();
+    }
+
+    @Override
+    public void onSurfaceChanged(GL10 unused, int width, int height) {
+        // Adjust the viewport based on geometry changes,
+        // such as screen rotation
+        GLES20.glViewport(0, 0, width, height);
+    }
+
+    public static int loadShader(int type, String shaderCode){
+
+        // create a vertex shader type (GLES20.GL_VERTEX_SHADER)
+        // or a fragment shader type (GLES20.GL_FRAGMENT_SHADER)
+        int shader = GLES20.glCreateShader(type);
+
+        // add the source code to the shader and compile it
+        GLES20.glShaderSource(shader, shaderCode);
+        GLES20.glCompileShader(shader);
+
+        return shader;
+    }
+
+}
+
+class Triangle 
+{
+
+    private final String vertexShaderCode =
+        "attribute vec4 vPosition;" +
+        "void main() {" +
+        "  gl_Position = vPosition;" +
+        "}";
+
+    private final String fragmentShaderCode =
+        "precision mediump float;" +
+        "uniform vec4 vColor;" +
+        "void main() {" +
+        "  gl_FragColor = vColor;" +
+        "}";
+
+    private final FloatBuffer vertexBuffer;
+    private final int mProgram;
+    private int mPositionHandle;
+    private int mColorHandle;
+
+    // number of coordinates per vertex in this array
+    static final int COORDS_PER_VERTEX = 3;
+    float triangleCoords[] ; /*){ // in counterclockwise order:
+         0.0f,  0.6f, 0.0f,   // top
+        -0.5f, -0.3f, 0.0f,   // bottom left
+         0.5f, -0.3f, 0.0f};  */ // bottom right
+         
+        /* -0.55f, -0.35f, 0.0f,
+         0.0f, -1.2f, 0.0f,
+         0.55f,  -0.35f, 0.0f
+    };*/
+    
+    private final int vertexCount = 9 / COORDS_PER_VERTEX;
+    private final int vertexStride = COORDS_PER_VERTEX * 4; // bytes per vertex
+
+    // Set color with red, green, blue and alpha (opacity) values
+    float color[];
+    //private final FloatBuffer colorBuffer;
+    private final int colorCount = 4/COORDS_PER_VERTEX;
+    
+    public Triangle() 
+    {
+        // initialize vertex byte buffer for shape coordinates
+        ByteBuffer bb = ByteBuffer.allocateDirect(
+                // (number of coordinate values * 4 bytes per float)
+                triangleCoords.length * 4);
+        // use the device hardware's native byte order
+        bb.order(ByteOrder.nativeOrder());
+
+        // create a floating point buffer from the ByteBuffer
+        vertexBuffer = bb.asFloatBuffer();
+        // add the coordinates to the FloatBuffer
+        vertexBuffer.put(triangleCoords);
+        // set the buffer to read the first coordinate
+        vertexBuffer.position(0);
+
+        /*ByteBuffer bb1 = ByteBuffer.allocateDirect(color.length*4);
+        bb1.order(ByteOrder.nativeOrder());
+        colorBuffer = bb1.asFloatBuffer();
+        colorBuffer.put(color);
+        colorBuffer.position(0);*/
+        
+        //GLES20.glEnableVertexAttribArray(1);
+        //GLES20.glBindBuffer(GLES20.GL_ARRAY_BUFFER, colorBuffer);
+        
+        // prepare shaders and OpenGL program
+        int vertexShader = MyGLRenderer.loadShader(GLES20.GL_VERTEX_SHADER,
+                                                   vertexShaderCode);
+        int fragmentShader = MyGLRenderer.loadShader(GLES20.GL_FRAGMENT_SHADER,
+                                                     fragmentShaderCode);
+
+        mProgram = GLES20.glCreateProgram();             // create empty OpenGL Program
+        GLES20.glAttachShader(mProgram, vertexShader);   // add the vertex shader to program
+        GLES20.glAttachShader(mProgram, fragmentShader); // add the fragment shader to program
+        GLES20.glLinkProgram(mProgram);                  // create OpenGL program executables
+    }
+    public Triangle(float x1, float y1, float z1,
+    			    float x2, float y2, float z2,
+    			    float x3, float y3, float z3,
+    			    float c1, float c2, float c3, float c4) 
+    {
+    	triangleCoords = new float[9];
+    	color = new float[4];
+    	triangleCoords[0] = x1;
+    	triangleCoords[1] = y1;
+    	triangleCoords[2] = z1;
+    	triangleCoords[3] = x2;
+    	triangleCoords[4] = y2;
+    	triangleCoords[5] = z2;
+    	triangleCoords[6] = x3;
+    	triangleCoords[7] = y3;
+    	triangleCoords[8] = z3;
+    	color[0] = c1;
+    	color[1] = c2;
+    	color[2] = c3;
+    	color[3] = c4;
+        // initialize vertex byte buffer for shape coordinates
+        ByteBuffer bb = ByteBuffer.allocateDirect(
+                // (number of coordinate values * 4 bytes per float)
+                triangleCoords.length * 4);
+        // use the device hardware's native byte order
+        bb.order(ByteOrder.nativeOrder());
+
+        // create a floating point buffer from the ByteBuffer
+        vertexBuffer = bb.asFloatBuffer();
+        // add the coordinates to the FloatBuffer
+        vertexBuffer.put(triangleCoords);
+        // set the buffer to read the first coordinate
+        vertexBuffer.position(0);
+
+        /*ByteBuffer bb1 = ByteBuffer.allocateDirect(color.length*4);
+        bb1.order(ByteOrder.nativeOrder());
+        colorBuffer = bb1.asFloatBuffer();
+        colorBuffer.put(color);
+        colorBuffer.position(0);*/
+           
+        // prepare shaders and OpenGL program
+        int vertexShader = MyGLRenderer.loadShader(GLES20.GL_VERTEX_SHADER,
+                                                   vertexShaderCode);
+        int fragmentShader = MyGLRenderer.loadShader(GLES20.GL_FRAGMENT_SHADER,
+                                                     fragmentShaderCode);
+
+        mProgram = GLES20.glCreateProgram();             // create empty OpenGL Program
+        GLES20.glAttachShader(mProgram, vertexShader);   // add the vertex shader to program
+        GLES20.glAttachShader(mProgram, fragmentShader); // add the fragment shader to program
+        GLES20.glLinkProgram(mProgram);                  // create OpenGL program executables
+    }
+
+    public void draw() 
+    {
+        // Add program to OpenGL environment
+        GLES20.glUseProgram(mProgram);
+
+        // get handle to vertex shader's vPosition member
+        mPositionHandle = GLES20.glGetAttribLocation(mProgram, "vPosition");
+
+        // Enable a handle to the triangle vertices
+        GLES20.glEnableVertexAttribArray(mPositionHandle);
+
+        // Prepare the triangle coordinate data
+        GLES20.glVertexAttribPointer(mPositionHandle, COORDS_PER_VERTEX,
+                                     GLES20.GL_FLOAT, false,
+                                     vertexStride, vertexBuffer);
+
+        // get handle to fragment shader's vColor member
+        mColorHandle = GLES20.glGetUniformLocation(mProgram, "vColor");
+
+        // Set color for drawing the triangle
+        //GLES20.glUniform4fv(mColorHandle, 0, color, 0);
+        //GLES20.glVertexAttrib4f(0, 0.5f, 0.5f, 0.0f, 1.0f);
+        //GLES20.glVertexAttribPointer(mPositionHandle, 4, GLES20.GL_FLOAT, false, stride, offset)
+        GLES20.glUniform4fv(mColorHandle, 1, color, 0);
+        // Draw the triangle
+        GLES20.glDrawArrays(GLES20.GL_TRIANGLES, 0, vertexCount);
+    }
+}
Index: issm/trunk/src/android/ISSM_Visual/src/com/example/issm_visual/MyGLSurfaceView.java
===================================================================
--- issm/trunk/src/android/ISSM_Visual/src/com/example/issm_visual/MyGLSurfaceView.java	(revision 13975)
+++ issm/trunk/src/android/ISSM_Visual/src/com/example/issm_visual/MyGLSurfaceView.java	(revision 13975)
@@ -0,0 +1,21 @@
+package com.example.issm_visual;
+
+import android.content.Context;
+import android.opengl.GLSurfaceView;
+
+
+class MyGLSurfaceView extends GLSurfaceView {
+
+    public MyGLSurfaceView(Context context) {
+        super(context);
+
+        // Create an OpenGL ES 2.0 context.
+        setEGLContextClientVersion(2);
+
+        // Set the Renderer for drawing on the GLSurfaceView
+        setRenderer(new MyGLRenderer());
+
+        // Render the view only when there is a change in the drawing data
+        setRenderMode(GLSurfaceView.RENDERMODE_WHEN_DIRTY);
+    }
+}
Index: issm/trunk/src/android/Makefile.am
===================================================================
--- issm/trunk/src/android/Makefile.am	(revision 13975)
+++ issm/trunk/src/android/Makefile.am	(revision 13975)
@@ -0,0 +1,2 @@
+EXTRA_DIST =  Factorial Makefile.am helloworld issm-android-inputfiles two-libs
+SUBDIRS = ISSM
Index: issm/trunk/src/android/helloworld/HelloWorldJNI/HelloWorld.cpp
===================================================================
--- issm/trunk/src/android/helloworld/HelloWorldJNI/HelloWorld.cpp	(revision 13975)
+++ issm/trunk/src/android/helloworld/HelloWorldJNI/HelloWorld.cpp	(revision 13975)
@@ -0,0 +1,8 @@
+#include <stdio.h>
+#include <jni.h>
+#include "HelloWorld.h"
+JNIEXPORT void JNICALL Java_HelloWorld_print(JNIEnv *env, jobject obj)
+{
+	printf("Hello World!\n");
+	return;
+}
Index: issm/trunk/src/android/helloworld/HelloWorldJNI/HelloWorld.java
===================================================================
--- issm/trunk/src/android/helloworld/HelloWorldJNI/HelloWorld.java	(revision 13975)
+++ issm/trunk/src/android/helloworld/HelloWorldJNI/HelloWorld.java	(revision 13975)
@@ -0,0 +1,16 @@
+class HelloWorld
+{
+	public native void print(); //native method
+	static //static initializer code
+	{
+		System.loadLibrary("CLibHelloWorld");
+	}
+}
+class Main
+{
+	public static void main (String[] args)
+	{
+		HelloWorld hw = new HelloWorld();
+		hw.print();
+	}
+}
Index: issm/trunk/src/android/helloworld/HelloWorldJNI/Main.java
===================================================================
--- issm/trunk/src/android/helloworld/HelloWorldJNI/Main.java	(revision 13975)
+++ issm/trunk/src/android/helloworld/HelloWorldJNI/Main.java	(revision 13975)
@@ -0,0 +1,8 @@
+class Main
+{
+	public static void main (String[] args)
+	{
+		HelloWorld hw = new HelloWorld();
+		hw.print();
+	}
+}
Index: issm/trunk/src/android/helloworld/ISSM/.classpath
===================================================================
--- issm/trunk/src/android/helloworld/ISSM/.classpath	(revision 13975)
+++ issm/trunk/src/android/helloworld/ISSM/.classpath	(revision 13975)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="com.android.ide.eclipse.adt.ANDROID_FRAMEWORK"/>
+	<classpathentry kind="con" path="com.android.ide.eclipse.adt.LIBRARIES"/>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="src" path="gen"/>
+	<classpathentry kind="output" path="bin/classes"/>
+</classpath>
Index: issm/trunk/src/android/helloworld/ISSM/.project
===================================================================
--- issm/trunk/src/android/helloworld/ISSM/.project	(revision 13975)
+++ issm/trunk/src/android/helloworld/ISSM/.project	(revision 13975)
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>ISSM</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.ResourceManagerBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.PreCompilerBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.ApkBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>com.android.ide.eclipse.adt.AndroidNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>
Index: issm/trunk/src/android/helloworld/ISSM/src/com/example/issm/ISSM.java
===================================================================
--- issm/trunk/src/android/helloworld/ISSM/src/com/example/issm/ISSM.java	(revision 13975)
+++ issm/trunk/src/android/helloworld/ISSM/src/com/example/issm/ISSM.java	(revision 13975)
@@ -0,0 +1,97 @@
+package com.example.issm;
+
+import android.app.Activity;
+import android.content.Context;
+import android.opengl.GLES20;
+import android.opengl.GLSurfaceView;
+import android.opengl.GLSurfaceView.Renderer;
+import android.os.Bundle;
+import android.util.AttributeSet;
+import android.view.Menu;
+import android.view.View;
+import android.view.View.OnClickListener;
+import android.widget.Button;
+import android.widget.FrameLayout;
+import android.widget.RelativeLayout;
+import android.widget.SeekBar;
+import android.widget.SeekBar.OnSeekBarChangeListener;
+import android.widget.TextView;
+import android.widget.Toast;
+import java.nio.ByteBuffer;
+import java.nio.ByteOrder;
+import java.nio.FloatBuffer;	 
+import java.nio.ShortBuffer;
+import javax.microedition.khronos.egl.EGLConfig;
+import javax.microedition.khronos.opengles.GL10; 
+
+public class ISSM extends Activity implements OnSeekBarChangeListener
+{
+	private SeekBar bar;
+    private TextView txtStatus, txtValue;
+    private GLSurfaceView mGLView;
+	private FrameLayout frame;
+    @Override
+    public void onCreate(Bundle savedInstanceState) {
+        super.onCreate(savedInstanceState);
+        setContentView(R.layout.activity_issm);
+        
+        bar = (SeekBar)findViewById(R.id.seekBar); // make seekbar object
+        bar.setOnSeekBarChangeListener(this); // set seekbar listener
+        txtValue = (TextView)findViewById(R.id.value);
+        txtStatus = (TextView)findViewById(R.id.status);
+        
+        mGLView = new MyGLSurfaceView(this);
+        frame = (FrameLayout)findViewById(R.id.frame);
+        frame.addView(mGLView);
+
+    }
+
+
+	@Override
+    public void onProgressChanged(SeekBar seekBar, int val,
+    		boolean fromUser) 
+    {
+    	// change progress text label with current Seekbar value
+    	txtValue.setText("Value: " + val);
+    	txtStatus.setText("Status: changing");
+    }
+    @Override
+    public void onStartTrackingTouch(SeekBar seekBar) 
+    {
+    	txtStatus.setText("Status: Starting to track touch");
+
+    }
+    @Override
+    public void onStopTrackingTouch(SeekBar seekBar) 
+    {
+    	seekBar.setSecondaryProgress(seekBar.getProgress()); // set the shade of the previous value.
+    	txtStatus.setText("Status: Ended tracking touch");
+    }
+    
+    @Override
+    protected void onPause() {
+        super.onPause();
+        // The following call pauses the rendering thread.
+        // If your OpenGL application is memory intensive,
+        // you should consider de-allocating objects that
+        // consume significant memory here.
+        mGLView.onPause();
+    }
+    
+    @Override
+    protected void onResume() {
+        super.onResume();
+        // The following call resumes a paused rendering thread.
+        // If you de-allocated graphic objects for onPause()
+        // this is a good place to re-allocate them.
+        mGLView.onResume();
+    }
+
+    
+    @Override
+    public boolean onCreateOptionsMenu(Menu menu) 
+    {
+        getMenuInflater().inflate(R.menu.activity_issm, menu);
+        return true;
+    }
+}
